Installers for OS X 10.6 and 10.7

When we updated our installers for OS X 10.10 Yosemite, it caused unavoidable issues with OS X 10.6 and 10.7.

The installers below are all compatible with OS X 10.6 and 10.7. They are the versions just before the 10.10 updates, so they have all the same features; just not the 10.10 compatibility code.

To fix this problem, just download the zip file for your program from the links below, and unzip it into the specified folder, overwriting the version that is already in there.

  • Eye Candy 7 - Macintosh HD\Library\Application Support\Alien Skin\Eye Candy 7\
  • Snap Art 4 - Macintosh HD\Applications\

Once you copy the contents of the zip file linked above into the correct folder, the program should work as expected.


Have more questions? Submit a request.